import { jsx } from "react/jsx-runtime";
import { TokenPUSSY as TokenPUSSY$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenPUSSY = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "PUSSY", "data-name": "TokenPUSSY", ...props, children: /* @__PURE__ */ jsx(TokenPUSSY$1, { variant }) });
  }
);
TokenPUSSY.displayName = "TokenPUSSY";
Object.assign(TokenPUSSY, { isGdsIcon: true });
export {
  TokenPUSSY
};
